<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>
<link rel="STYLESHEET" href="mailman-install.css" type='text/css' />
<link rel="first" href="mailman-install.html" title='GNU mailman - installation Manual' />
<link rel='last' href='about.html' title='About this document...' />
<link rel='help' href='about.html' title='About this document...' />
<link rel="next" href="create-install-dir.html" />
<link rel="prev" href="node3.html" />
<link rel="parent" href="node3.html" />
<link rel="next" href="create-install-dir.html" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name='aesop' content='information' />
<title>2.1 Add the group and user</title>
</head>
<body>
<div class="navigation">
<div id='top-navigation-panel' xml:id='top-navigation-panel'>
<table align="center" width="100%" cellpadding="0" cellspacing="2">
<tr>
<td class='online-navigation'><a rel="prev" title="2 set up your"
  href="node3.html"><img src='previous.png'
  border='0' height='32'  alt='Previous Page' width='32' /></a></td>
<td class='online-navigation'><a rel="parent" title="2 set up your"
  href="node3.html"><img src='up.png'
  border='0' height='32'  alt='Up one Level' width='32' /></a></td>
<td class='online-navigation'><a rel="next" title="2.2 create the installation"
  href="create-install-dir.html"><img src='next.png'
  border='0' height='32'  alt='Next Page' width='32' /></a></td>
<td align="center" width="100%">GNU Mailman - Installation Manual</td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
</tr></table>
<div class='online-navigation'>
<b class="navlabel">Previous:</b>
<a class="sectref" rel="prev" href="node3.html">2 Set up your</a>
<b class="navlabel">Up:</b>
<a class="sectref" rel="parent" href="node3.html">2 Set up your</a>
<b class="navlabel">Next:</b>
<a class="sectref" rel="next" href="create-install-dir.html">2.2 Create the installation</a>
</div>
<hr /></div>
</div>
<!--End of Navigation Panel-->

<h2><a name="SECTION001210000000000000000">
2.1 Add the group and user</a>
</h2>

<p>
Mailman requires a unique user and group name which will own its files, and
under which its processes will run.  Mailman's basic security is based on
group ownership permissions, so it's important to get this step
right<a name="tex2html1"
  href="#foot38"><sup>1</sup></a>.  Typically, you will add a new user and a new
group, both called <code>mailman</code>.  The <code>mailman</code> user must be a member
of the <code>mailman</code> group.  Mailman will be installed under the
<code>mailman</code> user and group, with the set-group-id (setgid) bit enabled.

<p>
If these names are already in use, you can choose different user and group
names, as long as you remember these when you run <b class="program">configure</b>.  If you
choose a different unique user name, you will have to specify this with
<b class="program">configure</b>'s <b class="programopt">--with-username</b> option, and if you choose
a different group name, you will have to specify this with
<b class="program">configure</b>'s <b class="programopt">--with-groupname</b> option.

<p>
On Linux systems, you can use the following commands to create these
accounts.  Check your system's manual pages for details:

<p>
<div class="verbatim"><pre>
    % groupadd mailman
    % useradd -c"GNU Mailman" -s /no/shell -d /no/home -g mailman mailman
</pre></div>

<p>
<br><hr><h4>Footnotes</h4>
<dl>
<dt><a name="foot38">...
right</a><A
 HREF="node4.html#tex2html1"><sup>1</sup></a></dt>
<dd>You will be able to check and repair your permissions after
installation is complete.

</dd>
</dl>
<div class="navigation">
<div class='online-navigation'>
<p></p><hr />
<table align="center" width="100%" cellpadding="0" cellspacing="2">
<tr>
<td class='online-navigation'><a rel="prev" title="2 set up your"
  href="node3.html"><img src='previous.png'
  border='0' height='32'  alt='Previous Page' width='32' /></a></td>
<td class='online-navigation'><a rel="parent" title="2 set up your"
  href="node3.html"><img src='up.png'
  border='0' height='32'  alt='Up one Level' width='32' /></a></td>
<td class='online-navigation'><a rel="next" title="2.2 create the installation"
  href="create-install-dir.html"><img src='next.png'
  border='0' height='32'  alt='Next Page' width='32' /></a></td>
<td align="center" width="100%">GNU Mailman - Installation Manual</td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
</tr></table>
<div class='online-navigation'>
<b class="navlabel">Previous:</b>
<a class="sectref" rel="prev" href="node3.html">2 Set up your</a>
<b class="navlabel">Up:</b>
<a class="sectref" rel="parent" href="node3.html">2 Set up your</a>
<b class="navlabel">Next:</b>
<a class="sectref" rel="next" href="create-install-dir.html">2.2 Create the installation</a>
</div>
</div>
<hr />
<span class="release-info">Release 2.1, documentation updated on August 26, 2016.</span>
</div>
<!--End of Navigation Panel-->

</body>
</html>
